import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class StandardDeviationIndicator extends StrategyBasedIndicator {
    static $t: Type;
    protected bk(): Series;
    protected get_ab5(): IndicatorCalculationStrategy;
    protected get ab5(): IndicatorCalculationStrategy;
    protected get_aci(): Type;
    protected get aci(): Type;
    get acq(): number;
    set acq(a: number);
    static readonly acr: DependencyProperty;
    protected acb(): number;
    ack(a: number): void;
}
